# eric7.DocumentationTools.APIGenerator

Module implementing the builtin API generator.

### Global Attributes

None

### Classes

APIGenerator | Class implementing the builtin documentation generator.

### Functions

None

## APIGenerator

Class implementing the builtin documentation generator.

### Derived from

None

### Class Attributes

None

### Class Methods

None

### Methods

APIGenerator | Constructor
__addClassVariablesAPI | Private method to generate class api section for class variables.
__addClassesAPI | Private method to generate the api section for classes.
__addFunctionsAPI | Private method to generate the api section for functions.
__addGlobalsAPI | Private method to generate the api section for global variables.
__addMethodsAPI | Private method to generate the api section for class methods.
__isPrivate | Private method to check, if an object is considered private.
genAPI | Public method to generate the API information.
genBases | Public method to generate the base classes information.

### Static Methods

None

#### APIGenerator (Constructor)

APIGenerator(module)

Constructor

module
  The information of the parsed Python file.

#### APIGenerator.__addClassVariablesAPI

__addClassVariablesAPI(className)

Private method to generate class api section for class variables.

className
  name of the class containing the class variables (string)

#### APIGenerator.__addClassesAPI

__addClassesAPI()

Private method to generate the api section for classes.

#### APIGenerator.__addFunctionsAPI

__addFunctionsAPI()

Private method to generate the api section for functions.

#### APIGenerator.__addGlobalsAPI

__addGlobalsAPI()

Private method to generate the api section for global variables.

#### APIGenerator.__addMethodsAPI

__addMethodsAPI(className)

Private method to generate the api section for class methods.

className
  name of the class containing the method (string)

#### APIGenerator.__isPrivate

__isPrivate(obj)

Private method to check, if an object is considered private.

obj
  reference to the object to be checked

Return:
  flag indicating, that object is considered private (boolean)

#### APIGenerator.genAPI

genAPI(newStyle, basePackage, includePrivate)

Public method to generate the API information.

newStyle
  flag indicating the api generation for QScintilla 1.7 and newer (boolean) (ignored)
basePackage
  name of the base package (string)
includePrivate
  flag indicating to include private methods/functions (boolean)

Return:
  API information (list of strings)

#### APIGenerator.genBases

genBases(includePrivate)

Public method to generate the base classes information.

includePrivate
  flag indicating to include private classes (boolean)

Return:
  base classes information (dictionary of list of strings)

Up